package com.ruoyi.tdengine.api.domain;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @Description: 更新子表tag实体类
 * @ClassName: AlterTagVo
 * @Author  : xins
 * @Date    :2023-08-30  10:56
 * @Version :1.0
 */
@Data
public class AlterTagVo {

    //数据库名称
    @NotBlank(message="databaseName cannot be empty")
    private String databaseName;

    //子表名称
    @NotBlank(message="tableName cannot be empty")
    private String tableName;

    @NotBlank(message="tagName cannot be empty")
    private String tagName;

    @NotNull(message="tagValue cannot be empty")
    private Object tagValue;


}
