package com.ruoyi.tdengine.api.domain;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class TdHistorySelectDto {

    //数据库名称
    @NotBlank(message="databaseName cannot be empty")
    private String databaseName;

    //子表名称
    @NotBlank(message="tableName cannot be empty")
    private String tableName;

    //控制输出条数
    private int limit;

    //指定从第几条之后输出（例如：limit 2,5，输出第3行到第7行的数据）
    private int offset;

    /**
     * 第一个字段，数据类型必须是timestamp
     */
    private String firstFieldName;

    //过滤条件：开始时间
    private long startTime;

    //过滤条件：结束时间
    private long endTime;

    //排序字段
    private String orderByFieldName;

    //排序方式
    private String sort;
}
