package com.ruoyi.tdengine.api.domain;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

/**
 * @Description: TDengine查询数据入参数据传输对象
 * @ClassName: TdSelectDto
 * @Author  : xins
 * @Date    :2023-08-29  10:39
 * @Version :1.0
 */
@Data
public class TdSelectDto {

    //数据库名称
    @NotBlank(message="databaseName cannot be empty")
    private String databaseName;

    //子表名称
    @NotBlank(message="tableName cannot be empty")
    private String tableName;

    //超级表名称
    private String superTableName;

    //tags名称
    private String tagsName;


}
